using NKC_WF.WebUserControls;
using System;

namespace NKC_WF
{
    public partial class MachineOffline : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack)
            {
                ((SiteMaster)this.Master).showSearch = false;
            }
            cmp_scrapList.eh_doRefresh += Cmp_scrapList_eh_doRefresh;
            cmp_offlineOrders.eh_doReset += cmp_offlineOrders_eh_doReset;
        }

        private void cmp_offlineOrders_eh_doReset(object sender, EventArgs e)
        {
            cmp_scrapList.doUpdate();
        }

        private void Cmp_scrapList_eh_doRefresh(object sender, EventArgs e)
        {
            cmp_offlineOrders.doUpdate();
        }

        protected void timerScrap_Tick(object sender, EventArgs e)
        {
            cmp_scrapList.doUpdate();
            cmp_offlineOrders.doUpdate();
        }
    }
}